Bug 1271511 - 'Destroy VM and abort setup' fails when the setup is trying to add the host to the engine
'Destroy VM and abort setup' fails when the setup is trying to add the host t...
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General (Show other bugs)
1.3.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.1
: 1.3.1
Assigned To: Simone Tiraboschi
Nikolai Sednev
: ZStream
Depends On:
Blocks: 1284979
  Show dependency treegraph
 
Reported: 2015-10-14 03:52 EDT by Simone Tiraboschi
Modified: 2016-02-17 02:19 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
ovirt-hosted-engine-setup was proposing to the user 'Destroy VM and abort setup' when something went wrong trying to add an additional host to an engine that runa as a VM somewhere else so it will fail cause it cannot destroy a VM that run on a different host. Filtering it.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 02:19:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
bmcclain: planning_ack+
sbonazzo: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
hosted-engine-setup logs (280.98 KB, text/plain)
2015-10-14 03:55 EDT, Simone Tiraboschi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47371 master MERGED setup: avoid restart and destroy VM options at the add_host plugin Never
oVirt gerrit 47504 ovirt-hosted-engine-setup-1.3 MERGED setup: avoid restart and destroy VM options at the add_host plugin Never

  None (edit)
Description Simone Tiraboschi 2015-10-14 03:52:49 EDT
Description of problem:
          Please check Engine VM configuration.
         
          Make a selection from the options below:
          (1) Continue setup - Engine VM configuration has been fixed
          (2) Power off and restart the VM
          (3) Abort setup
          (4) Destroy VM and abort setup
         
          (1, 2, 3, 4)[1]: 4
[ ERROR ] Failed to execute stage 'Closing up': 'Plugin' object has no attribute '_destroy_vm'

Version-Release number of selected component (if applicable):
3.6 rc2

How reproducible:
100%

Steps to Reproduce:
1. deploy hosted-engien setup on additional host
2. have it failing to add the host for any reasons (eg. cause the host is already in the engine)
3. choose 4

Actual results:
          (1, 2, 3, 4)[1]: 4
[ ERROR ] Failed to execute stage 'Closing up': 'Plugin' object has no attribute '_destroy_vm'

Expected results:
It should correctly termite

Additional info:
Comment 1 Simone Tiraboschi 2015-10-14 03:55 EDT
Created attachment 1082719 [details]
hosted-engine-setup logs
Comment 2 Simone Tiraboschi 2015-10-15 10:48:26 EDT
It fails also on the first host when called by the add_host plugin simply cause the add_host plugin doesn't implement _destroy_vm() and _create_vm() methods.
Comment 3 Gil Klein 2016-02-17 02:19:05 EST
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Note You need to log in before you can comment on or make changes to this bug.